Subject: Re: bug#38529: Make --pure the default for `guix environment'?

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 19 Aug 2022 10:28:35 -0400

tags 38529 +wontfix
thanks

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hi Pierre,
>
> Pierre Neidhardt <[email-masked]> writes:
>
>> --pure seems to be the more sensible behaviour.  "Impure" environments
>> can have unexpected behaviours, so it makes sense to only allow them
>> when the user explicitly asks for it.
>
> Unfortunately Guix packages often don't work well with --pure.  Be it
> magit that depends on git, or Emacs that depend or coreutils, etc.,
> there are many things that are expected to be propagated and aren't
> explicitly, by omission or sometimes for closure's size sake (when the
> feature is optional).  We could argue that is a good reason for the
> proposed change :-).
>
> I think environments are great mostly for hacking and trying stuff
> quickly, where the guarantees of Guix do not matter as much as for
> profiles (and if they did, you'd be better with guix environment
> --container anyway).
>
> So, I guess that makes me more on the side of "let's no change the
> defaults for now".

Closing this old forgotten issue as wontfix.

Thanks,

Maxim